--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 13/392
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              08-JAN-14   M Brookes         10.0.007
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply MDD change 13/392
PROMPT
PROMPT Version 10.0.007
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Amend name for EPM as MAM (and MAP) to 'Enterprise Managed Services Ltd'. (MDD 13/392)
PROMPT
--
SET SCAN OFF
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN
  
 EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                         SET MARKET_PARTICIPANT_NAME = ''Enterprise Managed Services Ltd'',
                             LAST_UPDATE_USER_ID = ''MDD_13_392'',
                             LAST_UPDATE_DATE = SYSDATE
                       WHERE MARKET_PARTICIPANT_CODE = ''EPM''';
	
 EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                         SET MARKET_PARTICIPANT_ROLE_NAME = ''Enterprise Managed Services Ltd (MAM)'',
                             LAST_UPDATE_USER_ID = ''MDD_13_392'',
                             LAST_UPDATE_DATE = SYSDATE
                       WHERE MARKET_PARTICIPANT_CODE = ''EPM''
                         AND MARKET_PARTICIPANT_ROLE_CODE = ''MAM''';

 EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                         SET MARKET_PARTICIPANT_ROLE_NAME = ''Enterprise Managed Services Ltd (MAP)'',
                             LAST_UPDATE_USER_ID = ''MDD_13_392'',
                             LAST_UPDATE_DATE = SYSDATE
                       WHERE MARKET_PARTICIPANT_CODE = ''EPM''
                         AND MARKET_PARTICIPANT_ROLE_CODE = ''MAP''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;

END;
/

SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
